Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623800 - OpenOffice.org run in Gnome-Shell causes loss of focus issues
OpenOffice.org run in Gnome-Shell causes loss of focus issues
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 15:33 EDT by Dwayne Bailey
Modified: 2010-08-19 21:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: openoffice.org-3.2.0-12.31.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 113856 None None None Never

  None (edit)
Description Dwayne Bailey 2010-08-12 15:33:46 EDT
Description of problem:
If you run OpenOffice.org under Gnome-Shell then many editing functions become tedious as dockable panels cause you to lose editing focus

Version-Release number of selected component (if applicable):
3.2.0-12.25.fc13

How reproducible:
Always

Steps to Reproduce:
1. Ensure you are running under gnome-shel
2. Start OOo writer
3. Enter some text
4. Click on the bullets button in the toolbar
5. Try to type (you've lost focus)

Or
1. Edit an existing document with bullets
2. Enter the bullet area
3. Buller dock appears (you've lost focus)

  
Actual results:
Whenever a dockable toolbar appears you lost focus, even though the toolbar itself doesn't seem to have focus itself.

To regain editing control you have to use your mouse to click on the area

Expected results:
A dockable toolbar appears but you still have editing focus.

Additional info:
Comment 1 Caolan McNamara 2010-08-13 03:59:34 EDT
Yet another window manager issue and I don't know if I have the strength for the battle. I can extend the Metacity hack for "Mutter" and that'll probably work.
Comment 2 Caolan McNamara 2010-08-13 04:10:38 EDT
Submitted fix upstream, and will be in >= 3.2.0-12.31
Comment 3 Dwayne Bailey 2010-08-13 09:46:19 EDT
Caolan, saw your blog post which reminded me to submit this bug. Didn't think I'd be dishing out more of what you hate - WM bugfixing! kudos for the work
Comment 4 Fedora Update System 2010-08-16 09:14:10 EDT
openoffice.org-3.2.0-12.31.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.31.fc13
Comment 5 Fedora Update System 2010-08-17 01:41:38 EDT
openoffice.org-3.2.0-12.31.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.31.fc13
Comment 6 Fedora Update System 2010-08-19 21:34:45 EDT
openoffice.org-3.2.0-12.31.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.